/*
 * Copyright 2021 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PORTC15 (number 45), E2/TouchPad_1
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_TSI_ELECTRODE2_PORT PORTC                /*!<@brief PORT peripheral base pointer */
#define BOARD_TSI_ELECTRODE2_PIN 15U                   /*!<@brief PORT pin number */
#define BOARD_TSI_ELECTRODE2_PIN_MASK (1U << 15U)      /*!<@brief PORT pin mask */
                                                       /* @} */

/*! @name PORTC5 (number 95), E1/TouchPad_0
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_TSI_ELECTRODE1_PORT PORTC               /*!<@brief PORT peripheral base pointer */
#define BOARD_TSI_ELECTRODE1_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_TSI_ELECTRODE1_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitTOUCHPins(void);

/*! @name PORTD3 (number 70), SW2/BUTTON_0
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_SW2_FGPIO FGPIOD             /*!<@brief FGPIO peripheral base pointer */
#define BOARD_SW2_GPIO GPIOD               /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW2_GPIO_PIN_MASK (1U << 3U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_SW2_PORT PORTD               /*!<@brief PORT peripheral base pointer */
#define BOARD_SW2_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_SW2_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                           /* @} */

/*! @name PORTE14 (number 17), SW3/BUTTON_1
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_SW3_FGPIO FGPIOE              /*!<@brief FGPIO peripheral base pointer */
#define BOARD_SW3_GPIO GPIOE                /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW3_GPIO_PIN_MASK (1U << 14U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_SW3_PORT PORTE                /*!<@brief PORT peripheral base pointer */
#define BOARD_SW3_PIN 14U                   /*!<@brief PORT pin number */
#define BOARD_SW3_PIN_MASK (1U << 14U)      /*!<@brief PORT pin mask */
                                            /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitBUTTONSPins(void);

/*! @name PORTD12 (number 34), D3[3]/RGB_BLUE
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_BLUE_FGPIO FGPIOD              /*!<@brief FGPIO peripheral base pointer */
#define BOARD_LED_BLUE_GPIO GPIOD                /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_BLUE_GPIO_PIN_MASK (1U << 12U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_LED_BLUE_PORT PORTD                /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_BLUE_PIN 12U                   /*!<@brief PORT pin number */
#define BOARD_LED_BLUE_PIN_MASK (1U << 12U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PORTD11 (number 35), D3[4]/RGB_GREEN
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_GREEN_FGPIO FGPIOD              /*!<@brief FGPIO peripheral base pointer */
#define BOARD_LED_GREEN_GPIO GPIOD                /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_GREEN_GPIO_PIN_MASK (1U << 11U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_LED_GREEN_PORT PORTD                /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_GREEN_PIN 11U                   /*!<@brief PORT pin number */
#define BOARD_LED_GREEN_PIN_MASK (1U << 11U)      /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PORTD10 (number 36), D3[1]/RGB_RED
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_RED_FGPIO FGPIOD              /*!<@brief FGPIO peripheral base pointer */
#define BOARD_LED_RED_GPIO GPIOD                /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_RED_GPIO_PIN_MASK (1U << 10U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_LED_RED_PORT PORTD                /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_RED_PIN 10U                   /*!<@brief PORT pin number */
#define BOARD_LED_RED_PIN_MASK (1U << 10U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDsPins(void);

/*! @name PORTB7 (number 15), Y1[1]/EXTAL
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_EXTAL_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_EXTAL_PIN 7U                   /*!<@brief PORT pin number */
#define BOARD_EXTAL_PIN_MASK (1U << 7U)      /*!<@brief PORT pin mask */
                                             /* @} */

/*! @name PORTB6 (number 16), Y1[3]/XTAL
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_XTAL_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_XTAL_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_XTAL_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                            /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSCPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitTHERMISTORPins(void);

/*! @name PORTB10 (number 75), U13[2]/FXOS_INT
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_FXOS_INT_FGPIO FGPIOB              /*!<@brief FGPIO peripheral base pointer */
#define BOARD_FXOS_INT_GPIO GPIOB                /*!<@brief GPIO peripheral base pointer */
#define BOARD_FXOS_INT_GPIO_PIN_MASK (1U << 10U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_FXOS_INT_PORT PORTB                /*!<@brief PORT peripheral base pointer */
#define BOARD_FXOS_INT_PIN 10U                   /*!<@brief PORT pin number */
#define BOARD_FXOS_INT_PIN_MASK (1U << 10U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PORTB9 (number 76), U13[3]/FXOS_RST
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_FXOS_RST_FGPIO FGPIOB             /*!<@brief FGPIO peripheral base pointer */
#define BOARD_FXOS_RST_GPIO GPIOB               /*!<@brief GPIO peripheral base pointer */
#define BOARD_FXOS_RST_GPIO_PIN_MASK (1U << 9U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_FXOS_RST_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_FXOS_RST_PIN 9U                   /*!<@brief PORT pin number */
#define BOARD_FXOS_RST_PIN_MASK (1U << 9U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PORTB8 (number 77), J2[20]/U11[2]/Arduino_D15/FXOS_SCL
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_FXOS_SCL_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_FXOS_SCL_PIN 8U                   /*!<@brief PORT pin number */
#define BOARD_FXOS_SCL_PIN_MASK (1U << 8U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PORTA16 (number 82), J2[18]/U11[3]/FXOS_SDA/Arduino_D14
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_FXOS_SDA_PORT PORTA                /*!<@brief PORT peripheral base pointer */
#define BOARD_FXOS_SDA_PIN 16U                   /*!<@brief PORT pin number */
#define BOARD_FXOS_SDA_PIN_MASK (1U << 16U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCELPins(void);

/*! @name PORTB1 (number 53), UART0_TX_TGTMCU
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_UART0_TX_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_UART0_TX_PIN 1U                   /*!<@brief PORT pin number */
#define BOARD_UART0_TX_PIN_MASK (1U << 1U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PORTB0 (number 54), UART0_RX_TGTMCU
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_UART0_RX_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_UART0_RX_PIN 0U                   /*!<@brief PORT pin number */
#define BOARD_UART0_RX_PIN_MASK (1U << 0U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
